import { AdminCmsService } from "./admin.cms.service";
import { CreateCmsDto, UpdateCmsDto, UpdateStatusDto } from "./admin.cms.dto";
export declare class AdminCmsController {
    private readonly cmsService;
    constructor(cmsService: AdminCmsService);
    create(createCmsDto: CreateCmsDto): Promise<{
        status: boolean;
        message: string;
    }>;
    findAll(): Promise<{
        status: boolean;
        message: string;
        data: import("../../common/cms/cms.entity").Cms[];
    }>;
    findOne(id: string): Promise<{
        status: boolean;
        message: string;
        data: import("../../common/cms/cms.entity").Cms;
    }>;
    update(id: string, updateCmsDto: UpdateCmsDto): Promise<{
        status: boolean;
        message: string;
    }>;
    remove(id: string): Promise<{
        status: boolean;
        message: string;
    }>;
    updateStatus(id: string, updateStatusDto: UpdateStatusDto): Promise<{
        status: boolean;
        message: string;
    }>;
}
